org.apache.catalina.servlet4preview

## Interface RequestDispatcher

- All Superinterfaces:
    RequestDispatcher

      public interface RequestDispatcher
      extends RequestDispatcher

  Provides early access to some parts of the proposed Servlet 4.0 API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FORWARD_MAPPING` The name of the request attribute that should be set by the container when the `RequestDispatcher.forward(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` method is called.
    `static String` | `INCLUDE_MAPPING` The name of the request attribute that should be set by the container when the `RequestDispatcher.include(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` method is called on the `RequestDispatcher` obtained by a path and not by a name.

    - ### Fields inherited from interface javax.servlet.RequestDispatcher

      `ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

  - ### Method Summary

    - ### Methods inherited from interface javax.servlet.RequestDispatcher

      `forward, include`

- - ### Field Detail

    - #### FORWARD_MAPPING

          static final String FORWARD_MAPPING

      The name of the request attribute that should be set by the container when the `RequestDispatcher.forward(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` method is called. It provides the original value of a path-related property of the request. See the chapter "Forwarded Request Parameters" in the Servlet Specification for details.
      Since:
        Servlet 4.0
      See Also:
        Constant Field Values

    - #### INCLUDE_MAPPING

          static final String INCLUDE_MAPPING

      The name of the request attribute that should be set by the container when the `RequestDispatcher.include(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` method is called on the `RequestDispatcher` obtained by a path and not by a name. It provides information on the path that was used to obtain the `RequestDispatcher` instance for this include call. See the chapter "Included Request Parameters" in the Servlet Specification for details.
      Since:
        Servlet 4.0
      See Also:
        Constant Field Values

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.